import {
  errorConfig,
  requestInterceptors,
  responseInterceptors,
} from "@/utils/request";

import { Base64 } from "js-base64";
import { getUrlQuery } from "./utils/comm";
import { setSession } from "./utils/loginUtil/session";
import { checkBeforeLogin } from "./utils/loginUtil/SSO";
import { setCookie } from "./utils/cookie";

//request 配置
export const request = {
  timeout: 10000,
  errorConfig,
  requestInterceptors,
  responseInterceptors,
};

// 接收登录参数
let token = getUrlQuery("access_token");
if (token) {
  setCookie("token", Base64.decode(token));
}

export function render(oldRender: () => void) {
  checkBeforeLogin(() => {
    oldRender();
  })
}
